       ~jhs/public_html/src/bsd/fixes/freebsd/src/gen/contrib/groff/tmac/papersize.tmac.REL=8.0-RELEASE.diff
http://www.berklix.com/~jhs/src/bsd/fixes/freebsd/src/gen/contrib/groff/tmac/papersize.tmac.REL=8.0-RELEASE.diff

See Also:
       ~jhs/public_html/src/bsd/fixes/FreeBSD/src/jhs/contrib/groff/tmac/9.2-RELEASE/
http://www.berklix.com/~jhs/src/bsd/fixes/FreeBSD/src/jhs/contrib/groff/tmac/9.2-RELEASE/

To my web Mon 12 Apr 2010, not yet send-pr as I'm not finished yet.
Also good for 7.1, 7.2, 7.3, 8.0
To support my ~/job/groff/card/

cat papersize.tmac | ( cd /usr/src/contrib/groff/tmac ; patch -p5 )
cd /usr/src/gnu/usr.bin/groff/tmac ; make install
Installs to /usr/share/tmac/papersize.tmac
.\" JJLATER Maybe later cd /usr/share;mv tmac Tmac;ln -s Tmac tmac;echo avoid rm by src/ObsoleteFiles.inc

Adds theory & derivation of A0 series.
Adds credit card sizes.

At Thu Jun 15 15:08:47 CEST 2017 in 12.0-CURRENT there is no longer src/contrib/groff/tmac
as groff has been purged.

2023-01-19: 12.2-RELEASE has
	/usr/ports/textproc/groff/pkg-plist:%%DATADIR%%/tmac/papersize.tmac
	/usr/local/share/groff/1.22.4/tmac/papersize.tmac
	/usr/local/share/groff/1.22.4/tmac/pspic.tmac

*** REL=8.0-RELEASE/src/contrib/groff/tmac/papersize.tmac	Wed Mar 31 00:23:02 2010
--- generic/src/contrib/groff/tmac/papersize.tmac	Tue Apr 13 01:29:16 2010
***************
*** 24,44 ****
  .cp 0
  .
  .if d paper \{\
  .  ds paper-a0-length 118.9c
  .  ds paper-a0-width 84.1c
! .  ds paper-a1-length 84.1c
  .  ds paper-a1-width 59.4c
  .  ds paper-a2-length 59.4c
  .  ds paper-a2-width 42c
  .  ds paper-a3-length 42c
  .  ds paper-a3-width 29.7c
  .  ds paper-a4-length 29.7c
  .  ds paper-a4-width 21c
  .  ds paper-a5-length 21c
  .  ds paper-a5-width 14.8c
  .  ds paper-a6-length 14.8c
  .  ds paper-a6-width 10.5c
! .
  .  ds paper-b0-length 141.4c
  .  ds paper-b0-width 100c
  .  ds paper-b1-length 100c
--- 24,87 ----
  .cp 0
  .
  .if d paper \{\
+ .\"     Theory (use eg xcalc to show this) :
+ .\"     Root 2          =  1.4142136 = r2.
+ .\"     Root root 2     =  1.1892071 = qr2 below.
+ .\"     Root 2 is ratio of Length to Width.
+ .\"     Each succesive sheet size is cut half way along length.
+ .\"     2.54c = 1i
+ .\"     A0 is length: 100 cm x root root 2, width 100 / root root 2.
+ .\"	Warning do not align any of the .ds with tabs, or multiple spaces, it causes problems.
+ .\"                   118.92071c 46.819178i 100 * qr2
  .  ds paper-a0-length 118.9c
+ .\"                  84.089642c 33.106158i 100 / qr2
  .  ds paper-a0-width 84.1c
! .  ds paper-a1-length84.1c
! .\"                  59.460356c 23.409589i 100 / qr2/r2/r2
  .  ds paper-a1-width 59.4c
  .  ds paper-a2-length 59.4c
+ .\"                  42.044821c 16.553079i 100 / qr2/r2/r2/r2
  .  ds paper-a2-width 42c
  .  ds paper-a3-length 42c
+ .\"                  29.730178c 11.704794i 100 / qr2/r2/r2/r2/r2
  .  ds paper-a3-width 29.7c
  .  ds paper-a4-length 29.7c
+ .\"                  21.02241c 8.2765395i 100 / qr2/r2/r2/r2/r2/r2
  .  ds paper-a4-width 21c
  .  ds paper-a5-length 21c
+ .\"                  14.865089c 5.8523972i 100 / qr2/r2/r2/r2/r2/r2/r2
  .  ds paper-a5-width 14.8c
  .  ds paper-a6-length 14.8c
+ .\"                  10.511205c 4.1382698i 100 / qr2/r2/r2/r2/r2/r2/r2r2
  .  ds paper-a6-width 10.5c
! .  ds paper-a7-length 10.5c
! .\"                   7.4325445c 2.9261986i / qr2/r2/r2/r2/r2/r2/r2/r2/r2/r2/r2
! .  ds paper-a7-width 7.43c
! .  ds paper-a8-length 7.43c
! .\"                  5.2556026c 2.0691349i / qr2/r2/r2/r2/r2/r2/r2/r2/r2/r2/r2/r2
! .  ds paper-a8-width 5.26c
! .  ds paper-a9-length 5.26c
! .\"                  3.7162722c 1.4630993i / qr2/r2/r2/r2/r2/r2/r2/r2/r2/r2/r2/r2/r2
! .  ds paper-a9-width 3.72c
! .  ds paper-a10-length 3.72c
! .\"                   2.6278013c 1.0345674i / qr2/r2/r2/r2/r2/r2/r2/r2/r2/r2/r2/r2/r2/r2
! .  ds paper-a10-width 2.63c
! .  ds paper-a11-length 2.63c
! .\"                   1.8581361c 0.73154965i / qr2/r2/r2/r2/r2/r2/r2/r2/r2/r2/r2/r2/r2/r2/r2
! .  ds paper-a11-width 1.86c
! .  ds paper-a12-length 1.86c
! .\"                   1.3139006c 0.51728372i / qr2/r2/r2/r2/r2/r2/r2/r2/r2/r2/r2/r2/r2/r2/r2/r2
! .  ds paper-a12-width 1.31c
! .  ds paper-a13-length 1.31c
! .\"                   0.92906806c 0.36577483i / qr2/r2/r2/r2/r2/r2/r2/r2/r2/r2/r2/r2/r2/r2/r2/r2/r2
! .  ds paper-a13-width 0,93c
! .  ds paper-a14-length 0,93c
! .\"                    0.65695032c 0.25864186i / qr2/r2/r2/r2/r2/r2/r2/r2/r2/r2/r2/r2/r2/r2/r2/r2/r2/r2
! .  ds paper-a14-width 0.67c
! .\" I do not know what is the maximum divisor number in the A series,
! .\" but I can not imagine anyone wanting to print below stamp size,
! .\" though I suppose arguably someone might want to generate little icons in series size.
! .\" ===========================================================================
  .  ds paper-b0-length 141.4c
  .  ds paper-b0-width 100c
  .  ds paper-b1-length 100c
***************
*** 155,158 ****
--- 198,275 ----
  .
  .cp \n[_C]
  .
+ .\" ===========================================================================
+ .\" Credit Card
+ .\"     Probably original is American size ?
+ .\"     I measured a card: exactly 3 3/8 x 2 1/8 inches.
+ .\" Ibico (a vendor in Germany) sell ibiPouches Quotes 54 x 86 mm
+ .\"     I take that for now:
+ .\"   paper-ccard-length                8.6c
+ .\"   paper-ccard-width                 5.4c
+ .\"     Even though I suspect the formal definition should be:
+ .\"   paper-ccard-length                3.375i
+ .\"   paper-ccard-width                 2.125i
+ .\" Paper inserts for these puches need to allow a border for plastic to adhere,
+ .\" I allow 3 mm around all 4 edges.
+ .\" Even if double size I still only need 3mm round each edge,, not 6mm,
+ .\" So pro rata there's more paper available to print.
+ .\" ---------------------------------------------------------------------------
+ .\" Purpose of the paper-ccard-x[1-4]-width-half:
+ .\"     When printing business cards in landscape mode inside credit
+ .\"     card size plastic pouches, (where height of card is *width*)
+ .\"     you can't step up or down with .sp a full *width* as that
+ .\"     could force a break page, so define a half. This can then
+ .\"     be used for printing borders.  eg: down 3mm, print a border,
+ .\"     down a half card, up 2 x 3mm, down half a card, print a
+ .\"     border. See use in: CCARD_DOWN CCARD_DOWN-HALF CCARD_UP CCARD_UP-HALF.
+ .\" ---------------------------------------------------------------------------
+ .\" Credit Card
+ .ds paper-ccard-x1-length 8.6c
+ .ds paper-ccard-length \*[paper-ccard-x1-length]
+ .ds paper-ccard-x1-width 5.4c
+ .ds paper-ccard-x1-width-half 2.7c
+ .ds paper-ccard-width \*[paper-ccard-x1-width]
+ .ds paper-ccard-width-half \*[paper-ccard-x1-width-half]
+ .\" ---------------------------------------------------------------------------
+ .\" Credit Card reduced by 3mm borders in laminated plastic
+ .ds paper-ccardshrunk-x1-length 8.0c
+ .ds paper-ccardshrunk-length \*[paper-ccardshrunk-x1-length]
+ .ds paper-ccardshrunk-x1-width 4.8c
+ .ds paper-ccardshrunk-x1-width-half 2.4c
+ .ds paper-ccardshrunk-width \*[paper-ccardshrunk-x1-width]
+ .ds paper-ccardshrunk-width-half \*[paper-ccardshrunk-x1-width-half]
+ .\" ---------------------------------------------------------------------------
+ .\" Credit Card - Double Size
+ .ds paper-ccard-x2-length 17.2c
+ .ds paper-ccard-x2-width 10.8c
+ .ds paper-ccard-x2-width-half 5.4c
+ .\" Credit card reduced by 3mm borders in laminated plastic, - Double Size
+ .ds paper-ccardshrunk-x2-length 16.0c
+ .ds paper-ccardshrunk-x2-width 9.6c
+ .ds paper-ccardshrunk-x2-width-half 4.8c
+ .\" ---------------------------------------------------------------------------
+ .\" Credit Card - Triple Size
+ .ds paper-ccard-x3-length 25.8c
+ .ds paper-ccard-x3-width 16.2c
+ .ds paper-ccard-x3-width-half 8.1c
+ .\" Credit card reduced by 3mm borders in laminated plastic - Triple Size
+ .ds paper-ccardshrunk-x3-length 24.0c
+ .ds paper-ccardshrunk-x3-width 14.4c
+ .ds paper-ccardshrunk-x3-width-half 7.2c
+ .\" ---------------------------------------------------------------------------
+ .\" Credit Card - Quadruple Size
+ .ds paper-ccard-x4-length 34.4c
+ .ds paper-ccard-x4-width 21.6c
+ .ds paper-ccard-x4-width-half 10.8c
+ .\" Credit card reduced by 3mm borders in laminated plastic - Quadruple Size
+ .ds paper-ccardshrunk-x4-length 32.0c
+ .ds paper-ccardshrunk-x4-width 19.2c
+ .ds paper-ccardshrunk-x4-width-half 9.6c
+ .\" ===========================================================================
+ .\" Full dimensions of more platic pouches, nothing taken off
+ .\" for paper to fit inside the hole & inside the plastic margins).
+ .\"     ibiPouches Badge   67c x  99c
+ .\"             Shown in landscape mode with enough width for a hole.
+ .\"     ibiPouches Luggage 65c x 108c
+ .\"             Shown in portrait mode with enough height for a hole.
  .\" EOF
